require "amrita2/template"
include Amrita2

class PO
  def title
    "hello world"
  end

  def body
    "Amrita2 is a html template libraly for Ruby"
  end
end

TEMPLATE_TEXT = <<END
<html>
   <body>
      <h1 id='title'>title will be inserted here</h1>
      <p>body text will be inserted here</p>
   </body>
</html>
END


tmpl = TemplateText.new(TEMPLATE_TEXT) do
  Amrita2::define_template_spec do 
    dynamic_element(:title)
    dynamic_element(:body, :matcher=>HtmlTag::P)
  end
end
tmpl.expand(STDOUT, PO.new)

__END__
<html>
   <body>
      <h1 id='title'>hello world</h1>
      <p>Amrita2 is a html template libraly for Ruby</p>
   </body>
</html>

